#include "Seeed_BME280.h" // Including libraries
#include <Wire.h>

float temp; //Create variables to store values
float p;
int H;

BME280 bme280; //Create object of BME280 class

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600); //Configure baud rate of serial port
  //Inicialize connection with sensor
  if(!bme280.init()) Serial.println("Error with connection!");
  //Print in serial port, which values will be readed
  Serial.println("T (C) \t p (Pa) \t H (%)");

}

void loop() {
  // put your main code here, to run repeatedly:
  //Read temperature value and print to serial port
  temp=bme280.getTemperature();
  Serial.print(temp);
  Serial.print("\t");
  //Read pressure value and print to serial port
  p=bme280.getPressure();
  Serial.print(p);
  Serial.print("\t");
  //Read humidity value and print to serial port
  H=bme280.getHumidity();
  Serial.println(H);
  delay(1000);
}
